Search documentation of ExStreamClient

# ExStreamClient.Model.ModerationV2Response (ExStreamClient v0.1.10)

View Source

Schema representing a ModerationV2Response

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ModerationV2Response{
      action: String.t(),
      blocklist_matched: String.t() | nil,
      image_harms: [String.t()] | nil,
      original_text: String.t(),
      platform_circumvented: boolean() | nil,
      semantic_filter_matched: String.t() | nil,
      text_harms: [String.t()] | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()